Oracle Patch Update for October 2014 and ArcSDE Geodatabase

if you have applied the latest Oracle Security Patches released in October 2014 to your enterprise database. You need to roll back the patch OR grant elevated permissions.

for myself, i have granted each geodatabase user the “select” permission to the view “v_$parameter” and it fixed the problem. Of course, this is a workaround but not advisable implementation from security perspective since the normal oracle/geodaabase account should not have permission on this view.

The Bug ID Number is: BUG-000082555

ESRI Link for this issue: http://support.esri.com/en/knowledgebase/techarticles/detail/43293/

i will update my blog  whenever esri provides a permanent fix.

Update **** 11 November 2014 ****

Esri Provided a patch fixing the issue for multiple ArcGIS Versions:

http://support.esri.com/en/downloads/patches-servicepacks/view/productid/67/metaid/2143

Good Luck,

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s